commit 0176f73c1aba711c79fc0447574682dcb59d987c
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon May 21 22:32:39 2007 +0200

    change version to 0.3

commit 8285ad90cc4c28d0ed5987f0805d00729f456843
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon May 21 22:23:35 2007 +0200

    Make mingw32 build with zlib

commit 6cf044dbe65620ceb8e42b7be0d906e9f1a4f287
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon May 21 21:46:27 2007 +0200

    Building on NetBSD works

commit 8f1d7a99ccfda8727ef05583dc8347e910a13db4
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Feb 27 23:47:19 2007 +0100

    Correct use of DEBUG flag with Sun CC

commit 30309c792d38e7983a6ca3718c62e3fec797950d
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 28 20:10:42 2007 +0100

    remove all trailing whitespace after line wrapping

commit e7533376ccb0ec48dca762fef93f7e01d83fda6c
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 14 18:20:41 2007 +0100

    created install target for Makefile

commit c0ad891938a1c142ce6632f6b5bd878abe9015bc
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 14 17:48:16 2007 +0100

    created manual page

commit ef5f4e654910c158a1868b0380d98c61af9fd5b4
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 14 14:09:58 2007 +0100

    strbuf_append_inflate(): Really return the number of read characters

commit 36b44789263debc853f18f7e7661611e3bd79368
Merge: d0d387d... b75a079...
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 14 14:01:49 2007 +0100

    Merge branch 'feat/kunzip_indent'

commit d0d387d79e8d8e9a470d99ef98182b8641c57539
Author: Dennis Stosberg dennis@stosberg.net <dennis@newton.localdomain>
Date:   Thu Jan 11 14:42:44 2007 +0100

    Add cast to crc32 call to silence signedness warning

commit b75a079c3fa679fc0b995212a847904eb95bca1a
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Jan 8 20:20:53 2007 +0100

    Reindent the kunzip code to make it readable

commit bd847fd6e746ab7cc059c485905ea11111501ab6
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Jan 8 17:53:50 2007 +0100

    Check crc32 of decompressed data with zlib's help

commit a8a99efb5e4f0ea18dcc196f5bd6623b08b7af85
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Jan 8 17:49:47 2007 +0100

    Remove kunzip's own inflate implementation. Use zlib instead.

commit 8a5f23c6d4f4e6f9259e940d149a5b2ba9ffcafa
Merge: ba94f60... b897690...
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 7 15:14:46 2007 +0100

    Merge branch 'stable/0.2'

commit ba94f604f27efda0482ecf4dc9869a301cb7f3a5
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 7 15:08:24 2007 +0100

    silence warnings with gcc -Wextra

commit b897690889175521fa00bfcc5259999da1603939
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 7 15:13:08 2007 +0100

    make --width=-1 work again

commit 5c55e01116881f0020a302e3c6d0a5cc5fa54d97
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Jan 7 15:08:18 2007 +0100

    remove strcasestr from zipfile.c
    
    no case insensitivity needed

commit 35826c16fe0e20b5c96b0ecdbbaf7cbcd0539d08
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Fri Jan 5 12:20:40 2007 +0100

    change version to 0.2
    
    and update copyright notices

commit bc04ee83a530e0ebb70b7ff0f05b791602fcc5cb
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Fri Jan 5 12:17:32 2007 +0100

    make print_regexp_err static

commit 70615ae26c94ad079f4fbd27c547d54968192466
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Fri Jan 5 12:15:34 2007 +0100

    remove unused parameter from format_doc

commit c16aba82050bde516cffb879bfe7b1bec64da012
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Jan 4 16:08:23 2007 +0100

    display image names

commit 4793b7d146b46c701982dba7874257e4e854a38e
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Jan 4 15:49:33 2007 +0100

    add --subst option
    
    Lets the user control, which characters he/she wants to be replaced.

commit 23237608094183ac8cf248413fa8561f72a9f3c3
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Jan 4 15:49:33 2007 +0100

    guess encoding later

commit e70533ebe75292d8e1ad26cae4e5a79a474e91b2
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Jan 4 15:49:33 2007 +0100

    quit when invalid values are passed to --width

commit c9a68d73967c7787627a06c5a7c38fc1ea7dda24
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Jan 4 15:49:33 2007 +0100

    add --output option
    
    Allows to write the output into a file.

commit dc4faa7f1590a623516dd9078023e710b0469953
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Dec 21 17:41:39 2006 +0100

    use mem.c in kunzip

commit 510b763c433da853e763994136c2bf9e240d028a
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Dec 21 17:34:48 2006 +0100

    Remove unneeded stuff from kunzip

commit 885e44ea30542624e3142a0326db500268d04231
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Fri Dec 15 19:24:36 2006 +0100

    Remove unneeded files in kunzip directory

commit 9fe2f631859e844f7850942efad2751d49382883
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Fri Dec 22 08:58:56 2006 +0100

    Show version information

commit 14ae9caabae1a3632984256cf31d0a8dcf2e71a1
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Dec 21 18:07:39 2006 +0100

    add --encoding=show

commit 460d2ff65705955bc224eac8ff408c0335d923e8
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Fri Dec 22 09:53:51 2006 +0100

    Change version to 0.2-pre

commit 26d8f070ef0f24fda36840da8d7da67de8af2a01
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Wed Dec 6 08:17:22 2006 +0100

    Less vertical whitespace
    
    Remove excess blank lines at beginning and end of output.  Support
    line breaks within paragraphs.

commit f55508f60a1f083d56130f5ee233985713288821
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Dec 5 19:54:45 2006 +0100

    Substitute non-convertible characters before line-wrapping

commit 6f11bcbd8f92eff258c21a1509f75a8eb282780f
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Dec 4 23:35:20 2006 +0100

    Substitute only characters the output charset does not support
    
    The substitutions are applied after line-wrapping, so lines with
    substitutions may be longer than the desired width.  To fix this,
    one would need to test for all substitutable characters whether
    they exist in the target charset and replace them with a regexp.
    I'm not sure if it's worth it.

commit 33ef09cbd8670944b20afb8be4602c17a622cd90
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Dec 4 11:12:11 2006 +0100

    Grow output buffer, if iconv returns E2BIG
    
    Some encodings, like UTF-16, require considerably more space than UTF-8.

commit 2347edb4f06410e229463d34e6511626809a4377
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Dec 4 11:07:53 2006 +0100

    Do not use length of utf-8-encoded sequence for line-wrapping

commit 603dc6af31b7c7e4e1c66f44094b8ebd0faf1a53
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Wed Nov 29 12:03:25 2006 +0100

    Small bugfixes, cleanups, silence warnings with Sun CC 5.8

commit fd519c3abaaeb2f7c36983f8c40b6d9187c4dd6e
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Wed Nov 29 11:58:42 2006 +0100

    Add iconvlist on platforms that support it

commit 7f51220a7851359554f2c61728f51a4d0301eb14
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Wed Nov 29 11:56:21 2006 +0100

    Add --help option, show version in usage()

commit 427fde518203f2e51fa8d8dbbc768ae2c3e65d5a
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Wed Nov 29 11:55:43 2006 +0100

    Better line-wrapping code, wrap lines before conversion to output charset
    
    This makes it possible to output the wrapped document in encodings that
    contain NUL characters, like UTF-16, disable linewrapping with --raw.
    
    Also disable debug code by default.

commit 6c1f60f103465799c12128cabaa2707d359b5eed
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Nov 28 14:42:20 2006 +0100

    Some cleanups, no code changes

commit 9ad300a99adcd6f58d2599c9c3163cd0aa7eed10
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Nov 28 13:57:58 2006 +0100

    Check mimetype before processing

commit f5667ddf46de54fc30e6bb584192d5266d61712f
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Nov 28 11:54:57 2006 +0100

    Try to detect output charset on Windows

commit 8c239454e35798cb7222bd85b059f971aec68927
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Nov 28 11:22:42 2006 +0100

    Add a line for NetBSD

commit a4eb6c58898021c093d706e917d006b84d8388e0
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Nov 28 11:19:05 2006 +0100

    Add INSTALL document

commit 7703b8dd9de43accf3ff0efc8684f8ae6e0f1bfc
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Nov 28 11:17:56 2006 +0100

    Make the program buildable with Mingw32

commit 33f58b3d79eb1ba26f3499ab51d47b1a1bdf13e1
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Tue Nov 28 09:15:39 2006 +0100

    Do not write the document to a temporary file.

commit 80385f38d677276c09030e630788dba0c0ff13d6
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 27 22:59:46 2006 +0100

    Change license notices in kunzip
    
    Kunzip was published under LGPL. The LGPL allows the code to be relicensed
    to GPL and requires that all notices that refer to the LGPL will be removed
    in that case.
    
    See section 3 of the LGPL.

commit 8e1ccb92dc86ac057fc0c9a6f1fbaa5e618d53dc
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 27 21:37:01 2006 +0100

    Compile on Cygwin

commit 1f4d78971ff49e1e3049fee3d60eebbe39a58aaa
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 27 21:36:03 2006 +0100

    Remove strlcpy/strlcat
    
    String buffers are nicer.

commit 2f527c10ec4397a69250b0509376d213e1587f6b
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 27 21:35:09 2006 +0100

    Make --raw work

commit 600eeb2a7e44cff4d74ac10558e8e051ecd81de0
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 27 21:28:51 2006 +0100

    Use string buffers in main program

commit e349f5746733cbbb79f9418cd56abf569aa4e642
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 27 21:22:16 2006 +0100

    Create a string buffer class, rename stringopt.* -> regex.*

commit d8439e76fd5c37f855b221b6956c4f0cb994a383
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sat Nov 25 14:39:09 2006 +0100

    Some improvements, problems with regex matching beyond string end
    
    Time for a clean string buffer class.

commit f2a31f2efabd2cdc1f25e8e989072cb980f405f9
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 20 14:08:36 2006 +0100

    Cleanups all over the place. The program approaches a usable state.

commit 44ea11013f155431df533e065966722da0b9ddde
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 20 13:38:40 2006 +0100

    Silence a few warnings in kunzip, use builtin strcasestr

commit 6d689d9e5c8718194003f8c6c37d3d4183ef3005
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Mon Nov 20 10:42:33 2006 +0100

    Memory debugging, wrapped text, more conversion

commit 27206167dd8272598cd44b33d94b06771365f2a4
Merge: 858672a... 073a255...
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Nov 19 20:55:25 2006 +0100

    Merge branch 'kunzip'

commit 073a255a9b82ad35b515e8293344c60f2967d5b2
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Nov 19 20:52:52 2006 +0100

    Support file descriptors

commit f47485a3b291d29d012ac0b12dd20cb724753b5d
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Nov 19 19:47:30 2006 +0100

    Revert "Make kunzip extract a zipfile with incomplete local file header"
    
    This reverts commit d7213b86386c5e4d8524801d424bd22e10bfeebb.
    
    After reading the ZIP file specs at
    http://www.pkware.com/business_and_developers/developer/popups/appnote.txt
    it is clear that the OpenOffice files are absolutely correct.  OpenOffice
    seems to write its documents in a stream and does not put the files' crc32
    and sizes in to the local file header, but into a data descriptor that
    follows the file contents.  This is correctly indicated by the general
    purpose bit flag in the local file header.

commit 10542dccffd02c53dd431b725b8aa57ec0e21c79
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 15:42:39 2006 +0100

    Make kunzip extract a zipfile with incomplete local file header
    
    The crc32, compressed length, and uncompressed length fields
    are all zero in the local file headers in documents created by
    OpenOffice.org.  I'm not yet sure whether OpenOffice violates
    the spec with it.  For now I'm working around the problem by
    not checking crc32 and file sizes.

commit 858672a381188b2e2c14a82ef25c45af9e95a1c2
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Sun Nov 19 13:49:53 2006 +0100

    Basic conversion works

commit a361674928bc7ef49fa8c52d539644057bd1713e
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Fri Nov 17 16:46:00 2006 +0100

    add -DZIP to kunzip/kinflate.c

commit a7432b6a34b2216a7c97d3813baa39128bbe2415
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Fri Nov 17 14:11:11 2006 +0100

    Simple POSIX regex matching, string operations

commit 45909147992e7ab0676f923bb5b7b0748e6f78d7
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 16:10:05 2006 +0100

    Read content.xml

commit 5866e821cb7e813cfeef60ccd0ebede35f835836
Merge: 19e32da... d7213b8...
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 15:42:48 2006 +0100

    Merge branch 'kunzip'

commit d7213b86386c5e4d8524801d424bd22e10bfeebb
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 15:42:39 2006 +0100

    Make kunzip extract a zipfile with incomplete local file header
    
    The crc32, compressed length, and uncompressed length fields
    are all zero in the local file headers in documents created by
    OpenOffice.org.  I'm not yet sure whether OpenOffice violates
    the spec with it.  For now I'm working around the problem by
    not checking crc32 and file sizes.

commit 19e32da61c38e60b3615812cf8361595ce48ec05
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 15:38:24 2006 +0100

    unzipping works (minus kunzip problems)

commit 371ec71b779892932f93a3e8e96baef2636278d1
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 15:37:25 2006 +0100

    Add makefile

commit 41744d4d27381e99d090a0682065261f87e5cca5
Merge: 62b5a2c... aadfd07...
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 12:11:14 2006 +0100

    Merge branch 'kunzip'

commit 62b5a2c89ee6b81ba10d4dbfee162d65bc2b7450
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 12:11:05 2006 +0100

    Begin to implement the converter in C

commit aadfd070d3cdf7e01a0935bdf597541fc7b54c48
Author: Dennis Stosberg <dennis@stosberg.net>
Date:   Thu Nov 16 11:36:01 2006 +0100

    Imported kunzip-2006-11-14.tar.gz
    
    Downloaded from http://downloads.mikekohn.net/programs/kunzip-2006-11-14.tar.gz
